Names markets are labeled with
curl --request GET \
--url https://api.routeur.app/v1/topics \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/topics"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/topics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"name": "<string>",
"slug": "<string>",
"events": 123,
"category": "Sports",
"volume_24h_usd": "0.4100",
"leading": "<string>",
"image_url": "<string>",
"cross_venue": 123
}
],
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Events
Names markets are labeled with
The names most listed events are about, for browsing: people, teams, places and subjects, with how many events carry each.
GET
/
v1
/
topics
Names markets are labeled with
curl --request GET \
--url https://api.routeur.app/v1/topics \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/topics"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/topics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"name": "<string>",
"slug": "<string>",
"events": 123,
"category": "Sports",
"volume_24h_usd": "0.4100",
"leading": "<string>",
"image_url": "<string>",
"cross_venue": 123
}
],
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
apiKeybearer
Query Parameters
Only topics whose events are mostly in this category.
Available options:
Sports, Politics, Economics, Crypto, Culture, Tech & Science, Weather, World, Other Topics to return, most common first.
Required range:
1 <= x <= 200